Subject: Re: Signature in OCSP Request

From: "Frank Balluffi" <[email-masked]>
Date: Tue, 18 May 2004 08:23:07 -0400

Yasir,

As I recall, it is necessary to reverse the bytes of a signature generated 
by CAPI.

Frank

"Yasir Khan" <[email-masked]>
Sent by: [email-masked]
05/18/2004 06:07 AM

        To:     "Miguel Rodriguez" <[email-masked]>, <[email-masked]>
        cc:     <[email-masked]>
        Subject:        Re: Signature in OCSP Request

Hello 
 
 I have attached the TBSData.req  and signed requests after siging with 
CAPI and another toolkit. The file  toolkitSignedRequest.req is a signed 
request file that was signed with a toolkit  and OCSP responders accept 
the request. Wheras capiDirRequest.req is a file  in which signatures have 
been calculated from CAPI and attached to request. But  OCSP servers are 
unable to verify the signatures of the request. The last file 
capipkcsRequest.req is a request in which we made a PKCS#7 object of TBS 
Data  using CAPI and obtained the signatures from PKCS#7 and attached to 
request.
 
We are unable to contrust  a correct signed request using CAPI. The 
signatures in case of CAPI are  different but we dont know why they are 
different?
 
Any help will be highly  appreciated.
 
Regards 
----- Original Message ----- 
From:  Miguel  Rodriguez 
To: 'Yasir Khan' ; [email-masked] 
Sent: Tuesday, May 18, 2004 5:41 AM
Subject: RE: Signature in OCSP  Request

You  may need to reverse the signature so it can be verified by the OCSP 
server.  The signature should be computed over the tbsRequest structure. 
Regarding the  algorithms RFC 2560 is nto specific when it comes to signed 
requests, we need  further clarification of this point.
 
Miguel A Rodriguez
SeguriData
Mexico
-----Original Message-----
From: [email-masked]  [mailto:[email-masked]] On Behalf Of Yasir  Khan
Sent: Monday, May 17, 2004 9:01 AM
To:  [email-masked]
Cc: [email-masked]
Subject:  Signature in OCSP Request

Hello
 
I have a question about the signature field in OCSP request. What  exactly 
should it contain and what 
algorithms can be used for OCSP  request signing? 
 
When i create a signature using MS CAPI, OCSP reponders are unable to 
verify the signatures whereas we
can verify it using CAPI. What data do  we set in signature field exactly?
 
Regards,
 
Yasir

The following file(s) have been deleted by: Frank Balluffi on 5/18/2004 
8:20:52 AM

capiDirRequest.req
capipkcsRequest.req
TBSData.req
toolKitSignedRequest.req
smime.p7s
ATTOZ6J1
ATT0LW3D
ATTMN5LQ
ATTYKNMP
smime.p7s